OauthApplicationMau
Monthly Active Users for an Oauth Application.
A "Monthly Active User" is any person who has been issued an Oauth token during that month.
Historical data will be kept for 24 months.
Note: There is no historical data before mid-February 2019.
Example Request
curl https://api.planningcenteronline.com/api/v2/oauth_applications/{oauth_application_id}/mau
Example Object
{
"type": "OauthApplicationMau",
"id": "1",
"attributes": {
"count": 1,
"month": 1,
"year": 1
},
"relationships": {
"oauth_application": {
"data": {
"type": "OauthApplication",
"id": "1"
}
}
}
}
Attributes
| Name | Type | Description |
|---|---|---|
count |
integer |
The total number of unique active users for the application. |
id |
primary_key |
|
month |
integer |
The month the stat was recorded for. |
year |
integer |
The year the stat was recorded for. |
Relationships
| Name | Type | Association Type | Note |
|---|---|---|---|
| oauth_application | OauthApplication | to_one |
Pagination
| Name | Parameter | Type | Description |
|---|---|---|---|
| per_page | per_page | integer | how many records to return per page (min=1, max=100, default=25) |
| offset | offset | integer | get results from given offset |
Endpoints
Listing
| HTTP Method | Endpoint |
|---|---|
| GET | /api/v2/oauth_applications/{oauth_application_id}/mau |
Reading
| HTTP Method | Endpoint |
|---|---|
| GET | /api/v2/oauth_applications/{oauth_application_id}/mau/{id} |
Belongs To
| HTTP Method | Endpoint | Association | Details | Filter By |
|---|---|---|---|---|
| GET | /api/v2/oauth_applications/{oauth_application_id}/mau |
OauthApplication |